pulumi-spotinst


Namepulumi-spotinst JSON
Version 2.14.1 PyPI version JSON
download
home_pagehttps://pulumi.io
SummaryA Pulumi package for creating and managing spotinst cloud resources.
upload_time2021-01-13 22:02:33
maintainer
docs_urlNone
author
requires_python
licenseApache-2.0
keywords pulumi spotinst
VCS
bugtrack_url
requirements No requirements were recorded.
Travis-CI No Travis.
coveralls test coverage No coveralls.
            [![Actions Status](https://github.com/pulumi/pulumi-spotinst/workflows/master/badge.svg)](https://github.com/pulumi/pulumi-spotinst/actions)
[![Slack](http://www.pulumi.com/images/docs/badges/slack.svg)](https://slack.pulumi.com)
[![NPM version](https://badge.fury.io/js/%40pulumi%2Fspotinst.svg)](https://www.npmjs.com/package/@pulumi/spotinst)
[![Python version](https://badge.fury.io/py/pulumi-spotinst.svg)](https://pypi.org/project/pulumi-spotinst)
[![NuGet version](https://badge.fury.io/nu/pulumi.spotinst.svg)](https://badge.fury.io/nu/pulumi.spotinst)
[![PkgGoDev](https://pkg.go.dev/badge/github.com/pulumi/pulumi-spotinst/sdk/v2/go)](https://pkg.go.dev/github.com/pulumi/pulumi-spotinst/sdk/v2/go)
[![License](https://img.shields.io/npm/l/%40pulumi%2Fpulumi.svg)](https://github.com/pulumi/pulumi-spotinst/blob/master/LICENSE)

# Spotinst Resource Provider

The Spotinst resource provider for Pulumi lets you manage SpotInst resources in your cloud programs. To use
this package, please [install the Pulumi CLI first](https://pulumi.io/).

## Installing

This package is available in many languages in the standard packaging formats.

### Node.js (Java/TypeScript)

To use from JavaScript or TypeScript in Node.js, install using either `npm`:

    $ npm install @pulumi/spotinst

or `yarn`:

    $ yarn add @pulumi/spotinst

### Python

To use from Python, install using `pip`:

    $ pip install pulumi_spotinst

### Go

To use from Go, use `go get` to grab the latest version of the library

    $ go get github.com/pulumi/pulumi-spotinst/sdk/v2/go/...

### .NET

To use from .NET, install using `dotnet add package`:

    $ dotnet add package Pulumi.Spotinst

## Configuration

The following configuration points are available for the `spotinst` provider:

- `spotinst:account` (environment: `SPOTINST_ACCOUNT`) - the account for `spotinst`
- `spotinst:token` (environment: `SPOTINST_TOKEN`) - the api token for `spotinst`

## Reference
For further information, please visit [the Spotinst provider docs](https://www.pulumi.com/docs/intro/cloud-providers/spotinst) or for detailed reference documentation, please visit [the API docs](https://www.pulumi.com/docs/reference/pkg/spotinst).
            

Raw data

            {
    "_id": null,
    "home_page": "https://pulumi.io",
    "name": "pulumi-spotinst",
    "maintainer": "",
    "docs_url": null,
    "requires_python": "",
    "maintainer_email": "",
    "keywords": "pulumi spotinst",
    "author": "",
    "author_email": "",
    "download_url": "https://files.pythonhosted.org/packages/6e/e2/3fbc27423b8b1abc36419730126e2b026b2c23359319076fac7c75765f4c/pulumi_spotinst-2.14.1.tar.gz",
    "platform": "",
    "description": "[![Actions Status](https://github.com/pulumi/pulumi-spotinst/workflows/master/badge.svg)](https://github.com/pulumi/pulumi-spotinst/actions)\n[![Slack](http://www.pulumi.com/images/docs/badges/slack.svg)](https://slack.pulumi.com)\n[![NPM version](https://badge.fury.io/js/%40pulumi%2Fspotinst.svg)](https://www.npmjs.com/package/@pulumi/spotinst)\n[![Python version](https://badge.fury.io/py/pulumi-spotinst.svg)](https://pypi.org/project/pulumi-spotinst)\n[![NuGet version](https://badge.fury.io/nu/pulumi.spotinst.svg)](https://badge.fury.io/nu/pulumi.spotinst)\n[![PkgGoDev](https://pkg.go.dev/badge/github.com/pulumi/pulumi-spotinst/sdk/v2/go)](https://pkg.go.dev/github.com/pulumi/pulumi-spotinst/sdk/v2/go)\n[![License](https://img.shields.io/npm/l/%40pulumi%2Fpulumi.svg)](https://github.com/pulumi/pulumi-spotinst/blob/master/LICENSE)\n\n# Spotinst Resource Provider\n\nThe Spotinst resource provider for Pulumi lets you manage SpotInst resources in your cloud programs. To use\nthis package, please [install the Pulumi CLI first](https://pulumi.io/).\n\n## Installing\n\nThis package is available in many languages in the standard packaging formats.\n\n### Node.js (Java/TypeScript)\n\nTo use from JavaScript or TypeScript in Node.js, install using either `npm`:\n\n    $ npm install @pulumi/spotinst\n\nor `yarn`:\n\n    $ yarn add @pulumi/spotinst\n\n### Python\n\nTo use from Python, install using `pip`:\n\n    $ pip install pulumi_spotinst\n\n### Go\n\nTo use from Go, use `go get` to grab the latest version of the library\n\n    $ go get github.com/pulumi/pulumi-spotinst/sdk/v2/go/...\n\n### .NET\n\nTo use from .NET, install using `dotnet add package`:\n\n    $ dotnet add package Pulumi.Spotinst\n\n## Configuration\n\nThe following configuration points are available for the `spotinst` provider:\n\n- `spotinst:account` (environment: `SPOTINST_ACCOUNT`) - the account for `spotinst`\n- `spotinst:token` (environment: `SPOTINST_TOKEN`) - the api token for `spotinst`\n\n## Reference\nFor further information, please visit [the Spotinst provider docs](https://www.pulumi.com/docs/intro/cloud-providers/spotinst) or for detailed reference documentation, please visit [the API docs](https://www.pulumi.com/docs/reference/pkg/spotinst).",
    "bugtrack_url": null,
    "license": "Apache-2.0",
    "summary": "A Pulumi package for creating and managing spotinst cloud resources.",
    "version": "2.14.1",
    "split_keywords": [
        "pulumi",
        "spotinst"
    ],
    "urls": [
        {
            "comment_text": "",
            "digests": {
                "md5": "c3e6172427ddedec26dcfefc32098d80",
                "sha256": "a575c9ed7d9456c481e701f974151b3c0714c04efb53a41d0719ce44304457b3"
            },
            "downloads": -1,
            "filename": "pulumi_spotinst-2.14.1.tar.gz",
            "has_sig": false,
            "md5_digest": "c3e6172427ddedec26dcfefc32098d80",
            "packagetype": "sdist",
            "python_version": "source",
            "requires_python": null,
            "size": 140685,
            "upload_time": "2021-01-13T22:02:33",
            "upload_time_iso_8601": "2021-01-13T22:02:33.488847Z",
            "url": "https://files.pythonhosted.org/packages/6e/e2/3fbc27423b8b1abc36419730126e2b026b2c23359319076fac7c75765f4c/pulumi_spotinst-2.14.1.tar.gz",
            "yanked": false,
            "yanked_reason": null
        }
    ],
    "upload_time": "2021-01-13 22:02:33",
    "github": false,
    "gitlab": false,
    "bitbucket": false,
    "lcname": "pulumi-spotinst"
}
        
Elapsed time: 0.24783s